<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['net.ihe.gazelle.xdstar.TestReport']}</h1>
            <rich:messages globalOnly="true" styleClass="message"/>
            <s:div id="globalDiv">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThisIdIsNotLinkedToAnExistingMessage']}"
                              rendered="#{messageRespReportManager.selectedMessage == null}"/>
                <gri:panel rendered="#{messageRespReportManager.selectedMessage != null}" pid="globpan">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.MessageTransaction']}</f:facet>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ThisTestHasBeenProcessedWith']} #{messages['net.ihe.gazelle.xdstar.XDStarClient']} #{messages['net.ihe.gazelle.xdstar.On']} #{messageRespReportManager.selectedMessage.timeStamp}"/>
                    <br/>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                        <h:outputText value="#{messageRespReportManager.selectedMessage.transaction.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
                        <h:outputText value="#{messageRespReportManager.selectedMessage.affinityDomain.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PermanentLink']}</ui:define>
                        <h:outputLink
                                value="#{messageRespReportManager.getFullPermanentLink(messageRespReportManager.selectedMessage)}"
                                target="_blank">
                            <h:outputText
                                    value="#{messageRespReportManager.getFullPermanentLink(messageRespReportManager.selectedMessage)}"/>
                        </h:outputLink>
                    </s:decorate>
                    <gri:tabPanel id="actorTabPanel" switchType="client"
                                  rendered="#{messageRespReportManager.selectedMessage != null}"
                                  activeItem="#{messageRespReportManager.selectedMessageTab}"
                                  itemChangeListener="#{messageRespReportManager.changeTabActiveItem}"
                                  immediate="false">
                        <gri:tab id="Request"
                                 rendered="#{not empty messageRespReportManager.stringResponseContent}"
                                 head="#{messages['net.ihe.gazelle.xdstar.Request']}">
                            <s:div>
                                <a4j:commandButton
                                        value="#{messages['net.ihe.gazelle.xdstar.ValidateTheRequestMessage']}"
                                        action="#{messageRespReportManager.validateCurrentMessage('RequestVal')}"
                                        render="globpan" styleClass="gzl-btn-green"/>
                                <h:commandButton id="downreq" action="#{messageRespReportManager.downloadResponse()}"
                                                 value="#{messages['net.ihe.gazelle.xdstar.DownloadRequestMessage']}"
                                                 styleClass="gzl-btn-blue"/>
                                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}"
                                               action="#{messageRespReportManager.validateWithEVSClient(messageRespReportManager.stringResponseContent)}"
                                               target="_blank" styleClass="gzl-btn-green"/>
                            </s:div>
                            <gdk:insert id="highlightRequestcontent"
                                        content="#{messageRespReportManager.stringResponseContent}" highlight="xml"/>
                        </gri:tab>
                        <gri:tab id="RequestVal"
                                 head="#{messages['net.ihe.gazelle.xdstar.RequestValidation']}">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.RevalidateTheRequestMessage']}"
                                               rendered="#{(not empty messageRespReportManager.stringResponseValidation)}"
                                               action="#{messageRespReportManager.validateCurrentMessage('RequestVal')}"
                                               render="globpan" styleClass="gzl-btn-green"/>
                            <br/>
                            <h:outputText value="#{messageRespReportManager.stringResponseValidation}" escape="false"
                                          rendered="#{(not empty messageRespReportManager.stringResponseValidation)}"/>
                            <h:outputText rendered="#{(empty messageRespReportManager.stringResponseValidation)}"
                                          value="#{messages['net.ihe.gazelle.xdstar.ValidationOfTheRequestNotPerformedYet']}"/>
                            <br/>
                            <br/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheRequestMessage']}"
                                               rendered="#{(empty messageRespReportManager.stringResponseValidation)}"
                                               action="#{messageRespReportManager.validateCurrentMessage('RequestVal')}"
                                               render="globpan" styleClass="gzl-btn-green"/>
                        </gri:tab>
                        <gri:tab id="Response"
                                 rendered="#{not empty messageRespReportManager.stringRequestContent}"
                                 head="#{messages['net.ihe.gazelle.xdstar.Response']}">
                            <s:div>
                                <a4j:commandButton
                                        value="#{messages['net.ihe.gazelle.xdstar.ValidateTheResponseMessage']}"
                                        action="#{messageRespReportManager.validateCurrentMessage('ResponseVal')}"
                                        render="globpan" styleClass="gzl-btn-green"/>
                                <h:commandButton id="downresp" action="#{messageRespReportManager.downloadRequest()}"
                                                 value="#{messages['net.ihe.gazelle.xdstar.DownloadResponseMessage']}"
                                                 styleClass="gzl-btn-blue"/>
                                <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}"
                                               action="#{messageRespReportManager.validateWithEVSClient(messageRespReportManager.stringRequestContent)}"
                                               target="_blank" styleClass="gzl-btn-green"/>
                            </s:div>
                            <gdk:insert id="highlightResponsecontent"
                                        content="#{messageRespReportManager.stringRequestContent}" highlight="xml"/>
                        </gri:tab>
                        <gri:tab id="ResponseVal"
                                 head="#{messages['net.ihe.gazelle.xdstar.ResponseValidation']}">
                            <a4j:commandButton
                                    value="#{messages['net.ihe.gazelle.xdstar.RevalidateTheResponseMessage']}"
                                    rendered="#{(not empty messageRespReportManager.stringRequestValidation)}"
                                    action="#{messageRespReportManager.validateCurrentMessage('ResponseVal')}"
                                    render="globpan" styleClass="gzl-btn-green"/>
                            <br/>
                            <h:outputText value="#{messageRespReportManager.stringRequestValidation}" escape="false"
                                          rendered="#{(not empty messageRespReportManager.stringRequestValidation)}"/>
                            <h:outputText rendered="#{(empty messageRespReportManager.stringRequestValidation)}"
                                          value="#{messages['net.ihe.gazelle.xdstar.ValidationOfTheResponseNotPerformedYet']}"/>
                            <br/>
                            <br/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ValidateTheResponseMessage']}"
                                               rendered="#{(empty messageRespReportManager.stringRequestValidation)}"
                                               action="#{messageRespReportManager.validateCurrentMessage('ResponseVal')}"
                                               render="globpan" styleClass="gzl-btn-green"/>
                        </gri:tab>
                    </gri:tabPanel>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
